7 Screenshots

About This File

One of the great things about TSLRCM is that the Exile can teach the party all of the forms that they learn from the Jedi masters. You could teach Atton, Mira, Visas, Bao-Dur, and Disciple all the forms and techniques you learn… wait, shouldn’t Handmaiden be on the list? She ought to be in the first place when she becomes a Jedi! However, there wasn’t any scripting or VO available for the Handmaiden to be trained in the games files nor was there ever an alternate solution.

Well, after some script writing and some VO splicing by jc2, you can now teach Handmaiden all the forms just like you could for your other companions! This mod can be installed easily at any time during your playthrough and will take effect when Handmaiden becomes a Jedi.
Enjoy!- Mellowtron11

 

Installation: Run tslpatcher

**NOTE**  PartySwap by DarthTyren is compatible & Leilukin's Handmaiden Fem Romance & are any other mods that edit handmaiden.dlg 

Compatible with TSLRCM

Incompatible with anything that edits "262bdcg.dlg" see readme for workaround if necessary. 

 

If you receive these 2 errors, nothing is wrong. And the installer will continue to patch these 2das as needed.

These two errors simply mean that the installer does not need to place these two files in the override folder because they are already there, and will continue patching them correctly. This was put in place in th e unlikely event that your override did not have these two files already within.

• Warning: A file named globalcat.2da already exists in the override folder. Skipping file...
 • Warning: A file named spells.2da already exists in the override folder. Skipping file...
 

See readme for details on how to use.

Any feedback, regardless of its nature, is appreciated!


What's New in Version 2.0   See changelog

Released

  • Beta Release
  • BETA UPDATE, Dialogue reply options exist for both LS, and DS, instead of only being for Neutral PC reply options.
  •  
  • 1.0 Release
  • 1.10 Removed "Joshy" from the list of PC replies, re-install if you wish, otherwise you'll have a random "josh" floating in your replies to the Handmaiden.
  • 1.20 NOW WITH LIPS! The custom line if PC is neutral, will now have lips moving with the line!
  • 1.30 Expanded availability of training option, now it can be asked along with every other question under the "You may ask" reply by the Handmaiden, prior to this point it was less accessible.
  • 1.30 To get this mod working with international versions, you'll have to edit the dlg file with the dlgconv to set it to your language, then this mod will function as it does with the U.S./English Version of the game.
  • 1.30a Fixed installer error; that there was no globalcat.2da in the override already would not install (since TSLRCM comes with a globalcat.2da, I avoided this), and the installer will show all of the information to let the user know what is going on with the globalcat.2da file (set to debug level 4). *Not Worth re-downloading for*
  • 2.0 Removed handmaiden.dlg file for compatibility, now the mod relies on jc2_handmaid.dlg to function & 262bdcg.dlg (bao'dur's dialogue on Telos Academy) Compatible with any mod that edits handmaiden.dlg thus just about any handmaiden mod under the sun will work alongside this.
  • Like 2
  • Light Side Points 1



User Feedback

Recommended Comments

Wasn't the splicing done by Sith Holocron? You may want to update the readme of this mod to include this correct information if I am right.

Share this comment


Link to comment
Share on other sites

Wasn't the splicing done by Sith Holocron? You may want to update the readme of this mod to include this correct information if I am right.

No, I did not put any splicing by SH into the mod. Otherwise, you would be correct.

 

Thanks for making this. I will use it when I replay Kotor 2.

Hope you enjoy it!

  • Like 1

Share this comment


Link to comment
Share on other sites

Hey so I just downloaded the mod and installed it with TSL patcher and for some reason I still dont get the option to train Handmaiden in the game. Theres no dialogue options for it. I have Kotor 2 on steam, and the mods I have are the TSLRCM, improved cockpit skybox mod, the extra feats mod and I'm about to download M4-78. Pls help would be much appreciated .

Share this comment


Link to comment
Share on other sites

Hey so I just downloaded the mod and installed it with TSL patcher and for some reason I still dont get the option to train Handmaiden in the game. Theres no dialogue options for it. I have Kotor 2 on steam, and the mods I have are the TSLRCM, improved cockpit skybox mod, the extra feats mod and I'm about to download M4-78. Pls help would be much appreciated .

Just a few questions first: Do you have the Handmaiden as a party member?

Have you maxed out her influence and converted her to be a jedi like the Vanilla game allows you to do (my mod doesn't add the option to train her to be a jedi).

My mod allows you to teach some elements of the force to her IF she's already a Jedi, such as Force Focus form, or Juyo Form, or Beast Control (force power). Therefore, unless you have her as a jedi, then my mod won't take effect until she becomes a jedi. 

Share this comment


Link to comment
Share on other sites

Just a few questions first: Do you have the Handmaiden as a party member?

Have you maxed out her influence and converted her to be a jedi like the Vanilla game allows you to do (my mod doesn't add the option to train her to be a jedi).

My mod allows you to teach some elements of the force to her IF she's already a Jedi, such as Force Focus form, or Juyo Form, or Beast Control (force power). Therefore, unless you have her as a jedi, then my mod won't take effect until she becomes a jedi. 

Yeah, I'm pretty far into the game. I've turned her into a jedi already but was wondering why I couldn't teach her techniques as you said, so I downloaded this mod. For some reason it didn't add the dialogue for it, when I go talk to her it still doesn't show up. Did I install it right? I just ran the patcher like it said in the read me.

Share this comment


Link to comment
Share on other sites

Yeah, I'm pretty far into the game. I've turned her into a jedi already but was wondering why I couldn't teach her techniques as you said, so I downloaded this mod. For some reason it didn't add the dialogue for it, when I go talk to her it still doesn't show up. Did I install it right? I just ran the patcher like it said in the read me.

Did you speak to her on the Ebon Hawk or when she was a current party member on any planet?

I put the option as "Your training must continue, and I have much to teach." This option should appear after she says "Yes?" Try changing locations before speaking to her and/or Ebon Hawk and any planet. 

I will update this so that it shows up under the reply options to "You may ask" thus making it any option in almost every dialogue branch she has. 

Share this comment


Link to comment
Share on other sites

Did you speak to her on the Ebon Hawk or when she was a current party member on any planet?

I put the option as "Your training must continue, and I have much to teach." This option should appear after she says "Yes?" Try changing locations before speaking to her and/or Ebon Hawk and any planet. 

I will update this so that it shows up under the reply options to "You may ask" thus making it any option in almost every dialogue branch she has. 

Yeah I've spoken to her on the ebon hawk. I haven't tried it with as a companion on a planet however, could that be it? Theres no option for it after she says yes.. I have the steam version so was there anything else I needed to do in installation ? All I did was run the TSL patcher.

Share this comment


Link to comment
Share on other sites

Yeah I've spoken to her on the ebon hawk. I haven't tried it with as a companion on a planet however, could that be it? Theres no option for it after she says yes.. I have the steam version so was there anything else I needed to do in installation ? All I did was run the TSL patcher.

 

If you have the steam version, do you also have any mods you are subscribed to in Steam workshop? It might be that you have a mod conflict you are unaware of. Or it could be something else, but I've test this out and was able to get it to work when I had the handmaiden on a planet, didn't try the ebon hawk though. So try talking to her on a planet and see if you can get it to work. Additionally, I updated the file so you may want to either a) reinstall, or B) copy and paste only Handmaiden.DLG file into your override. The update should* allow you to speak to her on the Ebon Hawk as well as on any planet.

Share this comment


Link to comment
Share on other sites

If you have the steam version, do you also have any mods you are subscribed to in Steam workshop? It might be that you have a mod conflict you are unaware of. Or it could be something else, but I've test this out and was able to get it to work when I had the handmaiden on a planet, didn't try the ebon hawk though. So try talking to her on a planet and see if you can get it to work. Additionally, I updated the file so you may want to either a) reinstall, or B) copy and paste only Handmaiden.DLG file into your override. The update should* allow you to speak to her on the Ebon Hawk as well as on any planet.

On steam I have the never fail influence mod, TSLRCM, TSL backdrop improvements, and m4-78. Maybe its the never fail influence mod that's conflicting?

Share this comment


Link to comment
Share on other sites

If u intalled TSLRCM from the worshop, when u run the patch don't choose the game folder, choose where u intalled TSLRCM ( steamapps ► workshop ► content ► 208580 ► 485537937)

  • Like 1

Share this comment


Link to comment
Share on other sites

Hi ! Great idea, but i'm unable to use it on my french 4CD version, patched with TSLRCM 1.8.5. Something about a node without end. I think it may be a language issue... Any idea ?

Share this comment


Link to comment
Share on other sites

Hi ! Great idea, but i'm unable to use it on my french 4CD version, patched with TSLRCM 1.8.5. Something about a node without end. I think it may be a language issue... Any idea ?

It may be a language issue, but it may have also been something that I missed. I will check the dlg file. Could you tell me what was said prior to the bug, that would help me find out which line is causing the issue.

Share this comment


Link to comment
Share on other sites
1 hour ago, vincblou195 said:

hey, I'm trying to instal this mod but when i try to run the patcher it says that it can't find chages.ini. Any solution?

 

Try redownloading and unzipping the file again. I just double checked the download and it does have the changes.ini so I'm betting something happened on your end. Let me know if that doesn't work.

Share this comment


Link to comment
Share on other sites

To teach her the ways of the darkside, ohh yes *evil grin* so much fun to be had! Lol awesome mod thank you so much for this :)

Edited by NikaAlexandrov
  • Like 1

Share this comment


Link to comment
Share on other sites
On 1/29/2020 at 1:14 PM, TheRealBatuRem said:

How do I uninstall? need to install some other mod first and then this second...

Hey @TheRealBatuRem do you still need some help with this? Have you read the readme? Best way to reach me is through a private message, but now that I've seen this, I would be more than willing to help. Uninstalling it is a bit difficult. But this mod is built to be very compatible with other mods, especially Handmaiden mods, so which mod or mods are you concerned with incompatibilities?  But to uninstall, you can do the following: copy and paste files from the "Backup" folder within the "Train The Handmaiden by JC2" folder into the OVERRIDE folder, which should reset any files affected by the tslpatcher,  then you can remove all scripts listed within the tslpatchdata manually from the override (ifyou have no other mods by me, you can search by "jc2_" because I have all my scripts labeled at the start like that, then remove "jc2_handmaid.dlg" from override, the audio files can be left without causing any harm, globalcat.2da can be left alone because that doesn't matter without the scripts,  remove "262bcdg.dlg" from override, the .lip file can be left without harm or removed. Really the only 4 important files are the two dlg files and the two .2da's (globalcat & appearance), both of those 2da files should be in the backup folder exactly as they were BEFORE you installed this mod, meaning any mods installed prior to this mod will be remembered and will not require re-installing. 

 

Please PM me a reply instead of putting it here, because I may not see it, and I prefer that method of contact. Thanks!

Share this comment


Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Add a comment...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.